---
- name: '[Pre-Checks] Get Patroni Cluster Name'
  uri:
    url: http://{{ inventory_hostname }}:{{ patroni_restapi_port }}/patroni
  register: patroni_result
  changed_when: false
  tags:
    - always
    - pre-checks
    - patroni-cluster-name

- name: '[Pre-Checks] Set the variable: patroni_cluster_name'
  set_fact:
    patroni_cluster_name: "{{ patroni_result.json.patroni.scope }}"
  tags:
    - always
    - pre-checks
    - patroni-cluster-name

- debug:
    var: patroni_cluster_name

- name: '[Pre-Checks] Get Patroni Cluster Leader Node'
  uri:
    url: http://{{ inventory_hostname }}:{{ patroni_restapi_port }}/leader
    status_code: 200
  register: patroni_leader_result
  changed_when: false
  failed_when: false
  tags:
    - always
    - pre-checks
    - patroni-cluster-leader

- name: '[Pre-Checks] Set the variable: patroni_cluster_leader: true'
  set_fact:
    patroni_cluster_leader: true
  when: patroni_leader_result.status == 200
  tags:
    - always
    - pre-checks
    - patroni-cluster-leader

- name: '[Pre-Checks] Set the variable: patroni_cluster_leader: false'
  set_fact:
    patroni_cluster_leader: false
  when: patroni_leader_result.status != 200
  tags:
    - always
    - pre-checks
    - patroni-cluster-leader

- debug:
    var: patroni_cluster_leader
